# Uses of Interface
javax.lang.model.type.UnionType

Packages that use UnionType
Package
Description
javax.lang.model.type
Interfaces used to model Java programming language types.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of UnionType in javax.lang.model.type

Methods in javax.lang.model.type with parameters of type UnionType
Modifier and Type
Method
Description
`R`
TypeVisitor.`visitUnion(UnionType t, P p)`
Visits a union type.

## Uses of UnionType in javax.lang.model.util

Methods in javax.lang.model.util with parameters of type UnionType
Modifier and Type
Method
Description
`R`
AbstractTypeVisitor6.`visitUnion(UnionType t, P p)`
Visits a union type.
`abstract R`
AbstractTypeVisitor7.`visitUnion(UnionType t, P p)`
Visits a `UnionType` in a manner defined by a subclass.
`R`
SimpleTypeVisitor7.`visitUnion(UnionType t, P p)`
Visits a union type.
`R`
TypeKindVisitor7.`visitUnion(UnionType t, P p)`
Visits a union type.